<table class="table">
  <thead class="thead-dark">
    <tr>
      <th scope="col" *ngFor="let item of columns">{{item}}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of data">
      <td><a (click)="onRecordClicked($event, item.id)">{{item.name}}</a></td>
      <td>{{item.address}}</td>
      <td>{{item.email}}</td>
    </tr>
  </tbody>
</table>